{% extends 'users/master/master.html' %}
{% load i18n %}
{% load static %}
{% load widget_tweaks %}
{% block title %}
{{title}}
{% endblock title %}


{% block content %}
<!-- content -->
<div class="art-content">

    <!-- curtain -->
    <div class="art-curtain"></div>


    <!-- swup container -->
    <div class="transition-fade" id="swup">

        <!-- scroll frame -->
        <div id="scrollbar" class="art-scroll-frame">

            <!-- container -->
            <div
                class="container-fluid {% if LANGUAGE_CODE == 'en' %} text-left {% else %} text-right rtl-dir {% endif %}">

                <!-- Back Button -->
                {% include "home/inc/back_btn.html" %}
                <!-- Back Button -->

                <!-- Display the errors -->
                {% include "home/inc/messages.html" %}
                <!-- Display the errors -->
                <section id='update-home-details-wrapper' class="mt-5">
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Title' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4 class="d-inline-block">{{object.title}}</h4>
                            <span class="d-inline-block mx-5">
                                {% if object.is_bookmark == True %}
                                <a href="{% url 'message-admin-bookmark' object.pk %}" class="text-white">
                                    <i class="fas fa-star" style="color: #FFC107;"></i>
                                </a>

                                {% else %}
                                <a href="{% url 'message-admin-bookmark' object.pk %}" class="text-white">
                                    <i class="fas fa-star"></i>
                                </a>
                                {% endif %}
                            </span>
                        </div>
                    </div>
                    <div class="art-ls-divider my-3"></div>
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Sender' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4 class="d-inline-block">{{object.member}}</h4>
                            <span class='d-inline-block ml-5'>
                                {{object.send_date}}
                            </span>
                        </div>
                    </div>
                    <div class="art-ls-divider my-3"></div>
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Message' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4>{{object.msg}}</h4>
                        </div>
                    </div>
                    <div class="art-ls-divider my-3"></div>
                </section>
                <h4>{% trans "All Replies" %}</h4>
                <!-- Start Replies section -->
                {% for reply in all_replies %}
                <section id='replies-section' class="mt-3 p-4 mb-4"
                    style="border: #646466 solid 1px; border-radius: 20px;">
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Title' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4>{{reply.title}}</h4>
                        </div>
                    </div>
                    <div class="art-ls-divider my-3"></div>
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Sender' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4 class="d-inline-block">{{reply.sender}}</h4>
                            <span class='d-inline-block ml-5'>
                                {{reply.reply_date}}
                            </span>
                        </div>
                    </div>
                    <div class="art-ls-divider my-3"></div>
                    <div class="row">
                        <div class="col-2">
                            <h4>{% trans 'Message' %}: </h4>
                        </div>
                        <div class="col-10">
                            <h4>{{reply.msg}}</h4>
                        </div>
                    </div>
                </section>
                {% endfor %}
                <!-- End Replies section -->

                <section id="reply-section" class='mb-5'>
                    <fieldset>
                        <legend class="my-5">
                            <h3>{% trans 'Reply' %}</h3>
                        </legend>
                        <form method="POST">
                            {% csrf_token %}
                            <input type="hidden" name="member" value="{{object.member.pk}}" />
                            <input type="hidden" name="message" value="{{object.pk}}" />
                            <!-- form field end -->
                            <div class="row">
                                <div class="col-2">
                                    <h4>{% trans "Title" %}: </h4>
                                </div>
                                <div class="col-10">
                                    <div class="form-group row art-form-field">
                                        <input type="text" name="title" class="art-input custom-art-input" />
                                    </div>
                                </div>
                            </div>
                            <!-- form field end -->
                            <div class="row">
                                <div class="col-2">
                                    <h4>{% trans "Reply" %}: </h4>
                                </div>
                                <div class="col-10">
                                    <div class="form-group row art-form-field">
                                        <textarea name="reply" cols="40" rows="10"></textarea>
                                    </div>
                                </div>
                            </div>
                            <!-- button -->
                            <div
                                class="art-submit-frame {% if LANGUAGE_CODE == 'en' %}text-right{% else %}text-left{% endif %}">
                                <button class="art-btn art-btn-md art-submit" type="submit">
                                    <span>{% trans 'Send' %}</span>
                                </button>
                                <!-- success -->
                            </div>
                        </form>
                    </fieldset>
                </section>

            </div>
            <!-- container end -->




        </div>
        <!-- scroll frame end -->

    </div>
    <!-- swup container end -->

</div>
<!-- content end -->
{% endblock content %}